package gov.va.med.fee.claim;


import static org.jboss.seam.ScopeType.CONVERSATION;

import javax.ejb.Remove;
import javax.ejb.Stateful;
import javax.faces.context.FacesContext;
import javax.faces.event.AbortProcessingException;
import javax.faces.event.ValueChangeEvent;
import javax.faces.event.ValueChangeListener;

import org.jboss.seam.annotations.Destroy;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

@Stateful
@Name("valueChangeListener")
@Scope(CONVERSATION)
public class AdjustmentReasonValueChangedListener implements ValueChangeListener {

	private boolean DEBUG = false;
	
	// constr() - test instantiation - may not be necessary
	public AdjustmentReasonValueChangedListener() {
		if(DEBUG) {
			System.out.println("AdjustmentReasonValueChangedListener.constr()");
		}
		
		
	}
	
	@Override
	   public void processValueChange(ValueChangeEvent event) throws AbortProcessingException {
		
		
		
			try {
				try {	
					
					if(DEBUG) {
						System.out.println("AdjustmentReasonValueChangedListene - VALUE CHANGE LISTENER() - value passed is: " + event.getNewValue().toString());
						System.out.println("AdjustmentReasonValueChangedListene - VALUE CHANGE LISTENER() - component name passed is: " + event.getComponent().getId() );
					}
					
				 ManualReconSelections manualReconSelections = (ManualReconSelections) FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get("manualReconSelections");
	 			 manualReconSelections.valueChange(event.getNewValue().toString(), event.getComponent().getId());	// pass String
				} catch(Exception e) {
					System.out.println("AdjustmentReasonValueChangedListener - FAIL WITH ManualReconSelections interface");
					e.printStackTrace();
				}
									
			} catch(Exception ex) {
				System.out.println("AdjustmentReasonValueChange() - error: " + ex.getMessage());
				ex.printStackTrace();
			}
		
			
			
	   }
	
	  @Destroy
	   @Remove
	   public final void destroy() {
	      // log.info("destroyed:" + this);
	   }
	
	
	
	
}	// end class
