package gov.va.med.fee.claim;

import javax.ejb.Local;

/**
 * 
 * @author Bill Blackmon
 * @version 1.0
 * 
 * TO DO: UPDATE THIS FOR CURRENT EDI PROJECT
 * HAPE EDI VA DO# 118-11-D-1009, TO#118-1009-0001; HARRIS
 * 
 * This interface references the new fields CARC/RARC relationship information.
 * See CarcRarcCrosswalkBean for implementation
 * 
 * Table script:
 * CREATE TABLE FPPS_OWNER.CARC_RARC_CROSSWALK
(
  CARC_ID       NUMBER(15)                      NOT NULL,
  RARC_ID       VARCHAR2(15 BYTE),
  CREATED_BY    VARCHAR2(30 BYTE),
  DATE_CREATED  DATE
)
 *
 */
@Local
interface CarcRarcCrosswalk {

	// Oracle Date datatype
	java.sql.Timestamp getDateCreated();
	void setDateCreated(java.sql.Timestamp date);
	
	Integer getCarcID();
	void setCarcID(Integer carcID);
	
	String getRarcID();
	void setRarcID(String rarcID);
	
	String getCreatedBy();
	void setCreatedBy(String createdBy);

	
}	// end class
