/*
 * $Id: ManualReconSelections.java,v 1.1 2009/09/02 22:46:37 vhahacnguyes Exp $
 */
package gov.va.med.fee.claim;

import gov.va.med.domain.fee.AdjustmentGroup;
import gov.va.med.domain.fee.AdjustmentReason;
import gov.va.med.domain.fee.CalcMethod;
import gov.va.med.domain.fee.ClaimPaymentType;
import gov.va.med.domain.fee.ClaimProcStatus;
import gov.va.med.domain.fee.RemittanceRemark;

import java.util.List;
import java.util.Map;

import javax.faces.event.ValueChangeEvent;
import javax.faces.model.SelectItem;

// import javax.faces.event.AjaxBehaviorEvent;
// import javax.faces.event.BehaviorEvent;
/**
 * The Interface ManualReconSelections.
 * Implemented by ManualReconSelectionsBean 
 */
public interface ManualReconSelections {		// Implemented by ManualReconSelectionsBean 
	
	public SelectItem[] getManualReconRemitRemarks();
	
	

	public void processValueChange(ValueChangeEvent event);
	
	public SelectItem[] getManualReconRemitRemarks1();
	public SelectItem[] getManualReconRemitRemarks2();
	public SelectItem[] getManualReconRemitRemarks3();
	public SelectItem[] getManualReconRemitRemarks4();
	public SelectItem[] getManualReconRemitRemarks5();
	
	
	public void valueChange(String id, String componentId);
		
	public  SelectItem[] getRemitCode();
	public void setRemitCode(SelectItem[] s);
	
	public  SelectItem[] getRemitCode2();
	public void setRemitCode2(SelectItem[] s);
	
	public  SelectItem[] getRemitCode3();
	public void setRemitCode3(SelectItem[] s);
	
	public  SelectItem[] getRemitCode4();
	public void setRemitCode4(SelectItem[] s);
	
	public  SelectItem[] getRemitCode5();
	public void setRemitCode5(SelectItem[] s);
	
	  
	  
	    public Map<String, RemittanceRemark> getRemitRemarkMap1(); 
		public void setRemitRemarkMap1(Map<String, RemittanceRemark> remitRemarkMap1);
	
		
		public Map<String, RemittanceRemark> getRemitRemarkMap2();
		
		public void setRemitRemarkMap2(Map<String, RemittanceRemark> remitRemarkMap2);
		
		public Map<String, RemittanceRemark> getRemitRemarkMap3();
		
		public void setRemitRemarkMap3(Map<String, RemittanceRemark> remitRemarkMap3);
		
		public Map<String, RemittanceRemark> getRemitRemarkMap4();
		
		public void setRemitRemarkMap4(Map<String, RemittanceRemark> remitRemarkMap4);
		
		public Map<String, RemittanceRemark> getRemitRemarkMap5(); 
		
		public void setRemitRemarkMap5(Map<String, RemittanceRemark> remitRemarkMap5);
		
 	
	 /**
     * Gets the manual recon adj reasons.
     *
     * @return the manual recon adj reasons
     */
	public SelectItem[] getManualReconAdjReasons();
	
	// test for trapping event
	public void setManualReconAdjReasons(ValueChangeEvent e);
   
      /**
     * Gets the manual recon adj groups.
     *
     * @return the manual recon adj groups
     */
    //SelectItem[] getManualReconAdjGroups();

    /**
     * Gets the manual recon remit remarks.
     *
     * @return the manual recon remit remarks
     */
    //SelectItem[] getManualReconRemitRemarks();
    
    
    /**
     * Gets the manual recon remit remarks.
     *
     * @return the manual recon remit remarks
     */
    // SelectItem[] getManualReconRemitRemarks2();
    
        
    SelectItem[] getManualReconAdjGroups();
    
   // void adjReasonClick(AjaxBehaviorEvent abe);
    
	public void setManualReconAdjReasons(SelectItem[] items);
    
	// getManualReconAdjReasons
    
    /**
     * Gets the manual recon payment types.
     *
     * @return the manual recon payment types
     */
    SelectItem[] getManualReconPaymentTypes();
    
    
    
    
    

    /**
     * Gets the manual recon calc method.
     *
     * @return the manual recon calc method
     */
    CalcMethod getManualReconCalcMethod();

    /**
     * Gets the accepted claim proc status.
     *
     * @return the accepted claim proc status
     */
    ClaimProcStatus getAcceptedClaimProcStatus();

    /**
     * Gets the claim payment type.
     *
     * @param paymentTypeCode the payment type code
     *
     * @return the claim payment type
     */
    ClaimPaymentType getClaimPaymentType(String paymentTypeCode);

    /**
     * Gets the remittance remarks.
     *
     * @param remitCodes the remit codes
     *
     * @return the remittance remarks
     * getManualReconRemittanceRemarks
     */
    
    
     List<RemittanceRemark> getRemittanceRemarks(String[] remitCodes);

    /**
     * Gets the adjustment group.
     *
     * @param group the group
     *
     * @return the adjustment group
     */
    AdjustmentGroup getAdjustmentGroup(String group);

    /**
     * Gets the adjustment reason.
     *
     * @param reason the reason
     *
     * @return the adjustment reason
     */
    AdjustmentReason getAdjustmentReason(String reason);

}
