/* $Id: RejectClaims.java,v 1.10 2009/12/30 21:47:58 vhahacmagdua Exp $ */
package gov.va.med.fee.claim;

import java.util.List;
import java.util.Set;

import gov.va.med.domain.fee.ClaimQueue;


/**
 * The session bean that handles the Reject claim logic.
 */
public interface RejectClaims {

   Set<Long> getKeys();

   void setKeys(Set<Long> keys);
   
   void setCurrentItem(RejectedClaimsTo currentItem);

   RejectedClaimsTo getCurrentItem();
   
   int getCurrentRow();

   void setCurrentRow(int currentRow);
   
   void saveComments(String comment);
  
   RejectedClaimsList getDisapprovedList();

   void setDisapprovedList(RejectedClaimsList rejectedList);

   void update(List<RejectedClaimsTo> arg);

   void reverseSelDisapprovals();

   void reverseSingleDisapproval(long claimId);

   void okSelDisapprovals();

   void okSingleDisapproval(long claimId);

   void setCurrentHist(List<ClaimQueue> currentHist);

   List<ClaimQueue> getCurrentHist();

   long getCurrentHistClmId();
   
   String getReasonCodeDesc(String cd);

   void setCurrentHistClmId(long currentHistClmId);

   void doSort(String col);

   String getSortCol();

   void setSortCol(String sortCol);

   String getSortDir();

   void setSortDir(String sortDir);

   void destroy();

}