/*
 * $Id: FeeReport.java,v 1.10 2009/09/18 22:03:31 vhahacnguyes Exp $
 */
package gov.va.med.fee.report;

/**
 * The Interface FeeReport.
 */
public interface FeeReport {

    /**
     * Submit jasper.
     *
     * @return the string
     */
    String submitJasper();

    /**
     * Display jasper.
     *
     * @return the string
     */
    String displayJasper();

    /**
     * Reset.
     */
    void reset();

    /**
     * Gets the criteria.
     *
     * @return the criteria
     */
    Criteria getCriteria();

    /**
     * Sets the criteria.
     *
     * @param criteria the new criteria
     */
    void setCriteria(Criteria criteria);

    /**
     * Checks if is show print popup.
     *
     * @return true, if is show print popup
     */
    boolean isShowPrintPopup();

    /**
     * Destroy.
     */
    void destroy();
}
