/*
 * $Id: ReportDate.java,v 1.2 2009/05/19 19:31:41 vhahacnguyes Exp $
 */
package gov.va.med.fee.report;

import gov.va.med.fee.report.DateValue.FieldName;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.hibernate.validator.ValidatorClass;

/**
 * The annotation ReportDate.
 */
@ValidatorClass(ReportDateValidator.class)
@Target({ ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ReportDate {

    /**
    * Field.
    */
    FieldName field() default FieldName.DAYS;

    /**
    * Message.
    */
    String message() default "invalid date range";
}
