package gov.va.med.hac.edi.utils.jpa;

import java.io.*;

// Thanks to Michael Daconta, Java World 2000
public class StreamGobbler extends Thread {
  InputStream inputStream;
  String level;

  public StreamGobbler(InputStream inInputStream, String inString) {
    this.inputStream = inInputStream;
    this.level = inString;
  }

  public void run() {
    try {
      InputStreamReader isr = new InputStreamReader(inputStream);
      BufferedReader br = new BufferedReader(isr);
      String line = null;
      while ((line = br.readLine()) != null)
        System.out.println(level + ">" + line);
    } catch (IOException ioe) {
      ioe.printStackTrace();
    }
  }
}
