package gov.va.med.hac.edi.utils.logutils.jpa;

import gov.va.med.domain.erepos.*;

public class NcpdpHeaderLogger {

  NcpdpHeader ncpdpHeader;
  
  public NcpdpHeaderLogger(NcpdpHeader inNcpdpHeader) {
    ncpdpHeader = inNcpdpHeader;
  }
  
  public static String getFieldNames() {
    return "  FileNumber,RealKey,TransactionRefNum,BinNumber,VerRelNum,"
        + "TransactionCode,PrserCtlNum,TransactionCount,SvcPrvQual,SvcPrv,DateOfService,SwVdrCertId";
  }

  public String toString() {
	  if(ncpdpHeader == null) return "";
    return ncpdpHeader.getFileNumber() + ","
         + ncpdpHeader.getRealKey() + ","
         + ncpdpHeader.getTransactionRefNum() + ","
         + ncpdpHeader.getBinNumber() + ","
         + ncpdpHeader.getVerRelNum() + ","
         + ncpdpHeader.getTransactionCode() + ","
         + ncpdpHeader.getPrserCtlNum() + ","
         + ncpdpHeader.getTransactionCount() + ","
         + ncpdpHeader.getSvcPrvQual() + ","
         + ncpdpHeader.getSvcPrv() + ","
         + ncpdpHeader.getDateOfService() + ","
         + ncpdpHeader.getSwVdrCertId();
  }
}
