package gov.va.med.fee;

public class Constants {
  
   //prevent un-needed instantiation.
   private Constants() {
   }

    
   public static final String TEST = "TEST";
   public static final String FAILURE = "failure";
   
   /** The Constant LINE_LENGTH_LIMIT. */
   public static final int LINE_LENGTH_LIMIT = 120;   

   public static final String NEW_STATUS = "NEW";
   public static final String PAYERROR = "PAYERROR";
   public static final String PAYERROR_SUCCESS = "PayErrorSuccess";
   public static final String PAYERROR_FAILURE = "PayErrorFailure";
   public static final String RECONCILE_SUCCESS = "reconcileSuccess";
   public static final String RESOLVED = "RESOLVED";
   public static final String SELECT_GROUP ="-- Select Group --";
   public static final String SELECT_REASON="-- Select Reason --";
   public static final String SUCCESS = "success";
   
   public static final String UNMATCHED = "Unmatched Claim Reconciliation";   
   public static final String UNMATCHED_SUCCESS =  "unmatchedSuccess";
   public static final String UNMATCHED_FAILURE = "unmatchedFailure";
   public static final String UNMATCHED_CLAIM_SUCCESS = "setClaimSuccess";
   public static final String UNMATCHED_CLAIM_FAILURE = "unmatchedClaimFailure";
   public static final String UNMATCHEDCLAIM_SUCCESS = "unmatchedClaimSuccess";

   public static final String USER_REQUEST_NOTIFICATION_RECIPIENTS[] = {"hac.cpesecurity@domain"};
   public static final String USER_REQUEST_NOTIFICATION_FROM = "hac.cpesecurity@domain";
   
   public static final int USER_REQUEST_STATUS_NEW = 0;
   public static final int USER_REQUEST_STATUS_COMPLETE = 1;
   public static final int USER_REQUEST_STATUS_PENDING_CAAP = 2;
   
   
   
   // Bill B. 3/17/2015
   public static final String MAX_REMIT_CODES = "Maximum number of Remittance Codes is 2";
}


