package gov.va.med.fee.claim;


import javax.ejb.Local;
import javax.faces.event.ValueChangeEvent;
import gov.va.med.domain.fee.Claim;
import gov.va.med.domain.fee.ClaimProcedure;
import gov.va.med.domain.fee.ClaimPayment;
import gov.va.med.domain.fee.FeeClaimPayments;
import gov.va.med.domain.fee.FeeClaimPaymentLines;
import java.util.List;


/*  Russell note that you will have to change FeeClaimPayment to ClaimPayment
 * 
 *
*/


/**
 * The Interface PaymentLine.
 */
@Local

public interface UnmatchedPaymentsRecon {
	
     /**
     * Destroy.
     */
     void destroy();  
	 
 	 public void clear();

 	 public Claim getClaim(); 	 
 	 
 	 public List<ClaimProcedure> getClaimProcedures();
 	 
   	 public FeeClaimPayments getPayment();
   	 
   	 public String getClaimStatus();
   	 
   	 public List<FeeClaimPaymentLines> getFeeClaimPaymentLines();
   	 
   	 public String getSearchClaimIndex();
   	 
   	 public Claim getSearchLine();
   	 public Claim getSearchLine2();
   	 
   	 public List<Claim> getSearchResults();

   	 public String getServiceType();
   	 
   	 public String matchClaim();
   	 
   	 public List<Claim> search();
   	 
   	 public String setClaim(String claimIndex);
   	 
   	 public void setClaimStatus(String stat);
   	 
   	 public String setPayment(String pid);   	 

	 public void setSearchClaimIndex(String ind);   	 
   	 
   	 public void setSearchLine(String pid);
   	 
   	 public void setSearchLine(Claim fcp); 
   	 public void setSearchLine2(Claim fcp); 
   	 
   	 
   	 /*********
   	  * Used for the searchLine but because the serviceType is hidden in the serviceLine and serviceTypeCd, we have a mildly funky way to handle it. 
   	  * 
   	 */
   	 public void setServiceType(String str);
   	    	 	
}
