/*
 * $Id: Authenticator.java,v 1.1 2009/05/12 15:40:17 vhahacmagdua Exp $
 */
package gov.va.med.fee.sec;

import javax.ejb.Local;

/**
 * The Interface Authenticator.
 */
@Local
public interface Authenticator {

    /**
     * Auto login.
     *
     * @return true, if successful
     */
    boolean autoLogin();

    /**
     * Authenticate.
     *
     * @return true, if successful
     */
    boolean authenticate();

    /**
     * Clear login msg.
     */
    void clearLoginMsg();
}
