
function IsNumericForSearch(sText)
{
   var ValidChars = "0123456789%_";
   var IsNumber=true;
   var Char;
 
   for (i = 0; i < sText.length && IsNumber == true; i++) 
      { 
      Char = sText.charAt(i); 
      if (ValidChars.indexOf(Char) == -1) 
         {
         IsNumber = false;
		 }
      }

   if(sText=="."){
    IsNumber = false;
   }
   return IsNumber;
}





function validateSearchForm(){
        var errorMsg = "";       	
         
        if(document.getElementById('claimSearchForm:claimId').value!="" && IsNumericForSearch(document.getElementById('claimSearchForm:claimId').value)==false){
			errorMsg += "Claim ID search parameter can only contain numeric or wildcard characters.\n";        
        }


	if(errorMsg!=""){
		alert(errorMsg);
		return false;
	}
	else{
		return true;
	}

}


function trim(sString) {
    while (sString.substring(0,1) == ' ') {
        sString = sString.substring(1, sString.length);
    }
    while (sString.substring(sString.length-1, sString.length) == ' ') {
        sString = sString.substring(0,sString.length-1);
    }
    return sString;
}

function convertSeparator(sep, comp, s) {
    var loc1 = s.indexOf(sep);
    var loc2 = s.lastIndexOf(sep);
    if (loc1 != -1 && loc2 != -1 && loc1 != loc2) {
        var m = s.substring(0,loc1)
        var d = s.substring(loc1+1, loc2); 
        var y = s.substring(loc2+1);
        if (d>=1 && d<=31 && m >=1 && m<=12) {
            if (d<10 && d.length==1) d = '0' + d;
            if (m<10 && m.length==1) m = '0' + m;
            var v = m + '/' + d + '/' + y;
            comp.value = v;
            return;
        }
    }
}

function convertDate(comp) {
    if (comp.value != null) {
        var s = trim(comp.value);

        if (s.length < 8) return;

        if (s.indexOf('/') != -1) return convertSeparator('/', comp, s);
        if (s.indexOf('-') != -1) return convertSeparator('-', comp, s);

        // no separator
        if (s.length == 8) { 
            var m = s.substring(0,2)
            var d = s.substring(2,4); 
            var y = s.substring(4);
            if (d>=1 && d<=31 && m >=1 && m<=12) {
                var v = m + '/' + d + '/' + y;
                comp.value = v;
                return;
            }
        }
    }
}

function convertDateOnReturnKey(e, comp){
    var characterCode;

    if (e && e.which){ 
        e = e;
        characterCode = e.which;
    } else {
        e = event;
        characterCode = e.keyCode; 
    }

    if(characterCode == 13){ 
        convertDate(comp);
    }
}

