package gov.va.med.domain.erepos.batchload;

import gov.va.med.domain.erepos.NcpdpAdtlDocument;

public class NcpdpAdtlDocumentDAO extends NcpdpAdtlDocument
{

    private static final long serialVersionUID = 8064648840666138353L;
    private String claimKey = null; 

    public String getClaimKey()
    {
        return claimKey;
    }
    
    public void setClaimKey(String ncpdpClaimId)
    {
        this.claimKey = ncpdpClaimId;
    }
    
    public static String getFieldNames() {
        return "AdtlDocKey,FileNumber,ClaimKey,SegmentId,AdtlDocTypeId,ReqPrdBeginDt,ReqPrdRecertReviseDt,ReqStatus,LnghtOfNeedQual,LngthOfNeed,PresSupplierDtSigned,SupportDoc,QstnNbrLetterCnt,SequenceNum,CreatedBy,DateCreated,ModifiedBy,DateModified";
 }
     public String toString() {
        return getAdtlDocKey() + "," + getFileNumber() + "," + getClaimKey() + "," + getSegmentId() + "," + getAdtlDocTypeId() + "," + getReqPrdBeginDt() + "," + getReqPrdRecertReviseDt() + "," + getReqStatus() + "," + getLnghtOfNeedQual() + "," + getLngthOfNeed() + "," + getPresSupplierDtSigned() + "," + getSupportDoc() + "," + getQstnNbrLetterCnt() + "," + getSequenceNum() + "," + getCreatedBy() + "," + getDateCreated() + "," + getModifiedBy() + "," + getDateModified();
 }
    
}
