package gov.va.med.hac.edi.utils.logutils.jpa;

import gov.va.med.domain.erepos.*;

public class NcpdpCobOtPayerLogger {

  NcpdpCobOtPayer ncpdpCobOtPayer;

  public NcpdpCobOtPayerLogger(NcpdpCobOtPayer inNcpdpCobOtPayer) {
    ncpdpCobOtPayer = inNcpdpCobOtPayer;
  }

  public static String getFieldNames() {
    return "FileNumber,OtPayerKey,OtPayerCvgType,OtPayerIdQual,OtherPayerId,"
        + " OtherPayerDate,OtPyrAmtPdCnt,OtPyrRejCnt,SequenceNum";
  }

  public String toString() {
	  if(ncpdpCobOtPayer == null) return "";
    return ncpdpCobOtPayer.getFileNumber() + ","
         + ncpdpCobOtPayer.getOtPayerKey() + ","
         + ncpdpCobOtPayer.getOtPayerCvgType()+ ","
         + ncpdpCobOtPayer.getOtPayerIdQual() + ","
         + ncpdpCobOtPayer.getOtherPayerId() + ","
         + ncpdpCobOtPayer.getOtherPayerDate() + ","
         + ncpdpCobOtPayer.getOtPyrAmtPdCnt() + ","
         + ncpdpCobOtPayer.getOtPyrRejCnt() + ","
         + ncpdpCobOtPayer.getSequenceNum();
  }
}
