package gov.va.med.hac.edi.utils.logutils.jpa;

import gov.va.med.domain.erepos.*;

public class NcpdpPatientLogger {

  NcpdpPatient ncpdpPatient;

  public NcpdpPatientLogger(NcpdpPatient inNcpdpPatient) {
    ncpdpPatient = inNcpdpPatient;
  }

  public static String getFieldNames() {
    return " FileNumber"
         + ",PatientKey"
         + ",SegmentId"
         + ",PatIdQual"
         + ",PatId"
         + ",DateOfBirth"
         + ",PatGenderCode"
         + ",PatFirstName"
         + ",PatLastName"
         + ",PatStreetAddr"
         + ",CityAddr"
         + ",PatStateProvAddr"
         + ",PatZipPstZone"
         + ",PatPhoneNum,"
         + ",PatLocation"
         + ",EmployerId"
         + ",SmkrNonsmkrCd"
         + ",PregnancyInd";
  }

  public String toString() {
	  if(ncpdpPatient == null) return "";	 
    return ncpdpPatient.getFileNumber() + ","
         + ncpdpPatient.getPatientKey() + ","
         + ncpdpPatient.getSegmentId() + ","
         + ncpdpPatient.getPatIdQual() + ","
         + ncpdpPatient.getPatId() + ","
         + ncpdpPatient.getDateOfBirth() + ","
         + ncpdpPatient.getPatGenderCode() + ","
         + ncpdpPatient.getPatFirstName() + ","
         + ncpdpPatient.getPatLastName() + ","
         + ncpdpPatient.getPatStreetAddr() + ","
         + ncpdpPatient.getPatCityAddr() + ","
         + ncpdpPatient.getPatStateProvAddr() + ","
         + ncpdpPatient.getPatZipPstZone() + ","
         + ncpdpPatient.getPatPhoneNum() + ","
         + ncpdpPatient.getPatLocation() + ","
         + ncpdpPatient.getEmployerId() + ","
         + ncpdpPatient.getSmkrNonsmkrCd() + ","
         + ncpdpPatient.getPregnancyInd();
  }
}
